Bug 962804 - Combination of boot options "text" and "lang" causes crashing of anaconda
Combination of boot options "text" and "lang" causes crashing of anaconda
Status: CLOSED CURRENTRELEASE
Product: Fedora
Classification: Fedora
Component: anaconda (Show other bugs)
20
Unspecified Unspecified
unspecified Severity unspecified
: ---
: ---
Assigned To: David Shea
Fedora Extras Quality Assurance
: Reopened
Depends On:
Blocks: fedora19rtt
  Show dependency treegraph
 
Reported: 2013-05-14 09:12 EDT by Ľuboš Kardoš
Modified: 2016-07-31 21:26 EDT (History)
7 users (show)

See Also:
Fixed In Version: anaconda-20.23-1
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2014-01-30 17:11:57 EST
Type: Bug
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)
console.log (7.59 KB, text/plain)
2013-05-14 09:13 EDT, Ľuboš Kardoš
no flags Details
anaconda.log (328 bytes, text/plain)
2013-05-14 09:13 EDT, Ľuboš Kardoš
no flags Details
program.log (530 bytes, text/plain)
2013-05-14 09:15 EDT, Ľuboš Kardoš
no flags Details

  None (edit)
Description Ľuboš Kardoš 2013-05-14 09:12:33 EDT
Description of problem:
When you use boot options "text" and "lang=sk" at the same time, anaconda prints "VNC", "VNC", "VNC", ... in loop.

Version-Release number of selected component (if applicable):
anaconda 19.25-1

How reproducible:
always


Steps to Reproduce:
1. Start anaconda with boot options "text" and "lang=sk".
  
Actual results:
Anaconda prints "VNC", "VNC", "VNC", ... in loop.

Expected results:
Succesful installation in selected language. If it is not supported, successful installation in default (english) language.

Additional info:
Comment 1 Ľuboš Kardoš 2013-05-14 09:13:17 EDT
Created attachment 747698 [details]
console.log
Comment 2 Ľuboš Kardoš 2013-05-14 09:13:59 EDT
Created attachment 747699 [details]
anaconda.log
Comment 3 Ľuboš Kardoš 2013-05-14 09:15:11 EDT
Created attachment 747700 [details]
program.log
Comment 4 Chris Lumens 2013-08-21 17:28:39 EDT
What a hilariously weird failure mode.
Comment 5 Samantha N. Bueno 2013-09-18 14:33:30 EDT
Not seeing this in F20.
Comment 6 David Shea 2013-10-04 15:45:42 EDT
Just hit this one again. Install with text lang=de_DE.
Comment 7 Fedora Update System 2013-10-08 19:37:51 EDT
anaconda-20.23-1.fc20 has been submitted as an update for Fedora 20.
https://admin.fedoraproject.org/updates/anaconda-20.23-1.fc20
Comment 8 Fedora Update System 2013-10-10 10:39:08 EDT
Package pykickstart-1.99.42-1.fc20, anaconda-20.23-1.fc20:
* should fix your issue,
* was pushed to the Fedora 20 testing repository,
* should be available at your local mirror within two days.
Update it with:
# su -c 'yum update --enablerepo=updates-testing pykickstart-1.99.42-1.fc20 anaconda-20.23-1.fc20'
as soon as you are able to.
Please go to the following url:
https://admin.fedoraproject.org/updates/FEDORA-2013-18714/pykickstart-1.99.42-1.fc20,anaconda-20.23-1.fc20
then log in and leave karma (feedback).

Note You need to log in before you can comment on or make changes to this bug.